{% extends "catalog/base.html" %}

{% block title %} Basket {% endblock %}

{% block main %}
    {% if not in_user_basket %}
        No products Yet ....
    {% else %}
        <div class="container bg-light ">
            <table class="table">
                <thead>
                <tr>
                    <th scope="col"> Product</th>
                    <th scope="col"> Product price BYN</th>
                    <th scope="col"> Product price USD</th>
                    <th scope="col"> Amount</th>
                    <th scope="col"> Amount price BYN</th>
                    <th scope="col"> Amount price USD
                    </th>
                </tr>
                </thead>
                <tbody>
                {% for product in in_user_basket %}
                    <tr>
                    <td>{{ product.product.name }}</td>
                    <td>{{ product.product.price }}</td>
                    <td>{{ product.product.price_usd }}</td>
                    <td>{{ product.amount }} </td>
                    <td>{{ product.amount_price }} BYN</td>
                    <td>{{ product.amount_priceUSD }} USD</td>
                {% endfor %}
                </tbody>
            </table>
            <hr>
            <div class="row">
                <div class="col text-center">
                    <a href="{% url 'clear_basket' %}" class="btn btn-primary">Clear basket</a>
                </div>
                <div class="col">
                    <p>Basket price: {{ basket_price }} BYN | {{ basket_price_usd }} USD </p>
                </div>
                <div class="col">
                    <div class="container align-content-center align-items-center">
                        <a href="{% url 'create_order' %}" class="btn btn-primary">Create order</a>
                    </div>
                </div>
            </div>
        </div>
    {% endif %}
{% endblock %}